Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jclark.xsl.sax
Class Indenter

    java.lang.Object
      com.jclark.xsl.sax.Indenter

All Implemented Interfaces:
  CommentHandler, org.xml.sax.DocumentHandler, OutputDocumentHandler, RawCharactersHandler

public class Indenter
extends java.lang.Object
implements OutputDocumentHandler, CommentHandler, RawCharactersHandler

performs "pretty-printing" by wrapping another OutputDocumentHandler, intercepting SAX events, and inserting whitespace events as appropriate. ... (Actually, I don't think it adds any indenting, just newlines)

Constructor Summary
`Indenter(org.xml.sax.DocumentHandler handler, RawCharactersHandler rawCharactersHandler)`

Method Summary
`void` | `characters(char[] ch, int start, int length)`
`void` | `comment(java.lang.String contents)` recieve notification that a comment has been encountered in the parse
`void` | `endDocument()`
`void` | `endElement(java.lang.String name)`
`void` | `ignorableWhitespace(char[] ch, int start, int length)`
`org.xml.sax.DocumentHandler` | `init(Destination dest, org.xml.sax.AttributeList atts)` initialize with the given target destination and xsl:output attributes.
`void` | `processingInstruction(java.lang.String target, java.lang.String data)`
`void` | `rawCharacters(java.lang.String chars)`
`void` | `setDocumentLocator(org.xml.sax.Locator locator)`
`void` | `startDocument()`
`void` | `startElement(java.lang.String name, org.xml.sax.AttributeList atts)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Indenter

    public Indenter(org.xml.sax.DocumentHandler handler,
                    RawCharactersHandler rawCharactersHandler)

Method Detail

### init

    public org.xml.sax.DocumentHandler init(Destination dest,
                                            org.xml.sax.AttributeList atts)
                                     throws java.io.IOException,
                                            org.xml.sax.SAXException

  Description copied from interface: `OutputDocumentHandler`
  initialize with the given target destination and xsl:output attributes.

  Specified by:
    `init` in interface `OutputDocumentHandler`
  Returns:
    a new DocumentHandler appropriate to the task, or possibly this
  Throws:
    `java.io.IOException`
    `org.xml.sax.SAXException`

### setDocumentLocator

    public void setDocumentLocator(org.xml.sax.Locator locator)

  Specified by:
    `setDocumentLocator` in interface `org.xml.sax.DocumentHandler`

### startDocument

    public void startDocument()
                       throws org.xml.sax.SAXException

  Specified by:
    `startDocument` in interface `org.xml.sax.DocumentHandler`
  Throws:
    `org.xml.sax.SAXException`

### endDocument

    public void endDocument()
                     throws org.xml.sax.SAXException

  Specified by:
    `endDocument` in interface `org.xml.sax.DocumentHandler`
  Throws:
    `org.xml.sax.SAXException`

### startElement

    public void startElement(java.lang.String name,
                             org.xml.sax.AttributeList atts)
                      throws org.xml.sax.SAXException

  Specified by:
    `startElement` in interface `org.xml.sax.DocumentHandler`
  Throws:
    `org.xml.sax.SAXException`

### endElement

    public void endElement(java.lang.String name)
                    throws org.xml.sax.SAXException

  Specified by:
    `endElement` in interface `org.xml.sax.DocumentHandler`
  Throws:
    `org.xml.sax.SAXException`

### characters

    public void characters(char[] ch,
                           int start,
                           int length)
                    throws org.xml.sax.SAXException

  Specified by:
    `characters` in interface `org.xml.sax.DocumentHandler`
  Throws:
    `org.xml.sax.SAXException`

### ignorableWhitespace

    public void ignorableWhitespace(char[] ch,
                                    int start,
                                    int length)
                             throws org.xml.sax.SAXException

  Specified by:
    `ignorableWhitespace` in interface `org.xml.sax.DocumentHandler`
  Throws:
    `org.xml.sax.SAXException`

### rawCharacters

    public void rawCharacters(java.lang.String chars)
                       throws org.xml.sax.SAXException

  Specified by:
    `rawCharacters` in interface `RawCharactersHandler`
  Throws:
    `org.xml.sax.SAXException`

### processingInstruction

    public void processingInstruction(java.lang.String target,
                                      java.lang.String data)
                               throws org.xml.sax.SAXException

  Specified by:
    `processingInstruction` in interface `org.xml.sax.DocumentHandler`
  Throws:
    `org.xml.sax.SAXException`

### comment

    public void comment(java.lang.String contents)
                 throws org.xml.sax.SAXException

  Description copied from interface: `CommentHandler`
  recieve notification that a comment has been encountered in the parse

  Specified by:
    `comment` in interface `CommentHandler`
  Throws:
    `org.xml.sax.SAXException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD